%define upstream_name    Test-CheckManifest
%define upstream_version 1.42

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Check if your Manifest matches your distro
License:    Artistic 2.0
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::YAML)
BuildRequires: perl(Carp)
BuildRequires: perl(Cwd) >= 3.750.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::File)
BuildRequires: perl(Pod::Coverage::TrustPod)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
'Test::CheckManifest'

EXPORT
    There is only one method exported: 'ok_manifest'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

# Failing due to RPM stuff.
# %%check
# %%make test

%install
%make_install

%files
%doc CONTRIBUTORS Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.420.0-2.mga8
+ Revision: 1523117
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Feb 23 2019 tv <tv> 1.420.0-1.mga7
+ Revision: 1369489
- update to 1.42

* Wed Feb 20 2019 tv <tv> 1.410.0-1.mga7
+ Revision: 1368674
- update to 1.41

* Thu Feb 14 2019 tv <tv> 1.390.0-1.mga7
+ Revision: 1367017
- update to 1.39

* Sat Dec 15 2018 tv <tv> 1.380.0-1.mga7
+ Revision: 1341355
- update to 1.38

* Thu Dec 13 2018 tv <tv> 1.360.0-1.mga7
+ Revision: 1340965
- update to 1.36

* Thu Sep 20 2018 umeabot <umeabot> 1.330.0-2.mga7
+ Revision: 1286414
- Mageia 7 Mass Rebuild

* Sun Jan 28 2018 shlomif <shlomif> 1.330.0-1.mga7
+ Revision: 1197671
- update to 1.33

* Sun Jul 23 2017 shlomif <shlomif> 1.310.0-1.mga7
+ Revision: 1128964
- update to 1.31

* Sun Jun 19 2016 pterjan <pterjan> 1.290.0-3.mga6
+ Revision: 1034140
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.290.0-2.mga6
+ Revision: 966345
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 1.290.0-1.mga6
+ Revision: 843661
- update to 1.29

* Wed Oct 15 2014 umeabot <umeabot> 1.280.0-3.mga5
+ Revision: 749924
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.280.0-2.mga5
+ Revision: 686407
- Mageia 5 Mass Rebuild

* Fri Apr 25 2014 shlomif <shlomif> 1.280.0-1.mga5
+ Revision: 617861
- update to 1.28

* Thu Feb 20 2014 shlomif <shlomif> 1.260.0-2.mga5
+ Revision: 595074
- New rel to satisfy the build system
- Move under current which is the correct place.


* Thu Jan 16 2014 cpan2dist 1.26-1mga
- initial mageia release, generated with cpan2dist
